## swift 2.29.1

=== debian/changelog ===
swift (2.29.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:19:54 -0400

swift (2.29.0+git2022030314.3ff3076ce-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/skip-online-test.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:45:42 -0500

swift (2.28.0+git2022011309.32da73f5c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 09:46:28 -0500

swift (2.28.0+git2021121320.876377435-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Dec 2021 20:05:27 -0500

swift (2.28.0+git2021120815.1859f2e16-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 15:54:30 -0500

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders:
 Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>,
 Michael Barton <michael.barton@rackspace.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 libjerasure2,
 python3-bandit (>= 1.1.0),
 python3-boto (>= 2.32.1),
 python3-boto3 (>= 1.9),
 python3-botocore (>= 1.12),
 python3-cffi,
 python3-coverage (>= 3.6),
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-docutils (>= 0.11),
 python3-eventlet (>= 0.25.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.11.0),
 python3-keystoneclient (>= 1:2.0.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0),
 python3-netifaces (>= 0.8),
 python3-nose (>= 1.3.7),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.0.0),
 python3-pastedeploy (>= 2.0.0),
 python3-pyeclib (>= 1.3.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testtools,
 python3-xattr (>= 0.4),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
Homepage: https://opendev.org/openstack/swift
Testsuite: autopkgtest-pkg-python

Package: python3-swift
Architecture: all
Section: python
Depends:
 adduser,
 libjerasure2,
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-eventlet (>= 0.25.0),
 python3-greenlet (>= 0.4.10),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-netifaces (>= 0.8),
 python3-pastedeploy (>= 2.0.0),
 python3-pyeclib (>= 1.3.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-xattr (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Breaks:
 swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
Replaces:
 python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
 swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Suggests:
 swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-object
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=swift

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf doc/build

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	dh_sphinxdoc
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PATH=$(CURDIR)/bin:$(PATH) PYTHONPATH=$(CURDIR) nosetests3 test/unit
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_build:
	dh_auto_build
	set -e ; set -x ; \
	for i in $(sort $(wildcard debian/*.init.in)) ; do \
		debian/gen-init $$i ; \
	done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp -Xdebian/swift-account-generator -Xdebian/swift-object-generator -Xdebian/swift-container-generator
	dh_missing --fail-missing
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/python3-swift/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/python3-swift/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/python3-swift/etc/swift/object-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/python3-swift/etc/swift/object-expirer.conf

override_dh_installinit:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.init))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installinit --error-handler=true -p$$PKG --name=$$NAME ;\
	done

override_dh_installsystemd:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.service))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installsystemd -p$$PKG --name=$$NAME ;\
	done

override_dh_compress:
	dh_compress -Xconf-sample

=== debian/tests/control ===
Tests: swift-daemons
Depends:
 swift,
 swift-account,
 swift-container,
 swift-object,
 swift-proxy,
Restrictions: needs-root

## swift 2.29.2

=== debian/changelog ===
swift (2.29.2-0ubuntu1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Feb 2023 17:51:22 +0000

swift (2.29.2-0ubuntu1) jammy-security; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #2006534).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Feb 2023 14:53:04 -0500

## swift 2.30.0

=== debian/changelog ===
swift (2.30.0-4) unstable; urgency=high

  * CVE-2022-47950: Arbitrary file access through custom S3 XML entities.
    Added upstream patch: CVE-2022-47950-stable-zed.patch (Closes: #1029200).
  * debian/watch: use git mode.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Jan 2023 15:43:31 +0100

swift (2.30.0-3) unstable; urgency=medium

  * Add Fix_DB_tests_on_py311.patch (Closes: #1024784).
  * Add python3-cffi as (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Nov 2022 22:25:27 +0100

swift (2.30.0-2) unstable; urgency=medium

  * Add 2 unit tests in the blacklist of autopkgtest, failing in 32 bits arch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Oct 2022 14:46:24 +0200

swift (2.30.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed:
    - Add_tempurl_path_prefix_configuration_option.patch
    - patches/syslog_log_name.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Oct 2022 10:32:15 +0200

swift (2.29.1-1) unstable; urgency=medium

  * Add route-run = chunked: to uwsgi config.
  * New upstream release.
  * Switch back proxy + account + container from uwsgi to eventlet.
  * Rebased/refreshed syslog_log_name.patch.
  * Refreshed Add_tempurl_path_prefix_configuration_option.patch.
  * Removed now useless import-Iterable-from-collections.abc.patch.
  * Removed s3api_fix_the_copy_of_non-ASCII_objects.patch applied upstream.
  * Add to test blacklist:
    - test.unit.common.test_db.TestDatabaseBroker.test_get
    - test.unit.container.test_sync.TestContainerSync.test_init

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Mar 2022 15:40:14 +0100

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 openstack-pkg-tools (>= 116~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-boto,
 python3-boto3,
 python3-cffi,
 python3-coverage,
 python3-cryptography,
 python3-eventlet (>= 0.25.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-keystoneclient,
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-mock,
 python3-netifaces,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-nosexcover,
 python3-openssl,
 python3-openstack.nose-plugin,
 python3-openstackclient,
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-api-ref (>= 1.0.0),
 python3-os-testr (>= 0.8.0),
 python3-oslosphinx,
 python3-pastedeploy,
 python3-pyeclib,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-swiftclient,
 python3-xattr,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift.git
Homepage: https://github.com/openstack/swift
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-swift
Architecture: all
Section: python
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3-cffi,
 python3-cryptography,
 python3-eventlet (>= 0.25.0),
 python3-greenlet,
 python3-netifaces,
 python3-openssl,
 python3-pastedeploy,
 python3-pyeclib,
 python3-six,
 python3-xattr,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 systemd (<< 235~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 logrotate,
 python3-swift (=${binary:Version}),
 rsyslog,
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 openstack-pkg-tools,
 python3-pastescript,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 uwsgi-plugin-python3 (>= 2.0.18),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 openstack-pkg-tools,
 python3-pastescript,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 uwsgi-plugin-python3 (>= 2.0.18),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-underscore,
 python-os-api-ref-common,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-drive-audit
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-swift (=${binary:Version}),
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - drive audit
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift drive audit tool.

Package: swift-object
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export SWIFT_TEST_CONFIG_FILE=$(CURDIR)/debian/swift-test.conf

export PYBUILD_TEST_ARGS=\
	test/unit \
	--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing \
	--exclude-test=test.unit.common.middleware.test_cname_lookup.TestCNAMELookup \
	--exclude-test=test.unit.common.test_db.TestDatabaseBroker.test_get \
	--exclude-test=test.unit.container.test_sync.TestContainerSync.test_init \
	--exclude-test=test.unit.common.test_utils.TestPunchHoleReally.test_punch_a_hole \
	--exclude-test=test.unit.common.test_utils.Test_LibcWrapper.test_argument_plumbing
	# --processes=-1

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

# Control if proxy + account + container server should be using UWSGI or not
export DEB_USE_UWSGI=no

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python3-swift.postinst

	set -e ; set -x ; \
	for i in	debian/swift-account.swift-account-auditor.init.in \
			debian/swift-account.swift-account-reaper.init.in \
			debian/swift-account.swift-account-replicator.init.in \
			debian/swift-container.swift-container-auditor.init.in \
			debian/swift-container.swift-container-reconciler.init.in \
			debian/swift-container.swift-container-replicator.init.in \
			debian/swift-container.swift-container-sharder.init.in \
			debian/swift-container.swift-container-sync.init.in \
			debian/swift-container.swift-container-updater.init.in \
			debian/swift-object-expirer.swift-object-expirer.init.in \
			debian/swift-object.swift-object-auditor.init.in \
			debian/swift-object.swift-object.init.in \
			debian/swift-object.swift-object-reconstructor.init.in \
			debian/swift-object.swift-object-replicator.init.in \
			debian/swift-object.swift-object-updater.init.in \
			; do \
		debian/gen-init $$i ; \
	done

	set -e ; set -x ; \
	for i in	debian/swift-proxy.swift-proxy.init \
			debian/swift-account.swift-account.init \
			debian/swift-container.swift-container.init \
			; do \
		if [ $$DEB_USE_UWSGI = "yes" ] ; then \
			cp $$i.in $$i ; \
			cat /usr/share/openstack-pkg-tools/init-script-template >>$$i ; \
			pkgos-gen-systemd-unit $$i.in ; \
		else \
			CONFIG=`echo $$i | cut -d/ -f2 | cut -d. -f1 | sed -e s/swift-//`-server debian/gen-init $$i.in ; \
		fi ; \
	done

override_dh_auto_install:
	dh_auto_install

	rm debian/tmp/usr/bin/swift-init

override_dh_installinit:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.init))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installinit --error-handler=true -p$$PKG --name=$$NAME ;\
	done

override_dh_installsystemd:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.service))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installsystemd -p$$PKG --name=$$NAME ;\
	done

gen-init-configurations:
	echo "Do nothing"

# build with sphinx documentation
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/base
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx api-ref/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/api-ref
	dh_sphinxdoc
endif

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

override_dh_missing:
	dh_missing --fail-missing

## swift 2.30.0+git2022100608.49d35e0c3

=== debian/changelog ===
swift (2.30.0+git2022100608.49d35e0c3-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2022 08:46:18 -0400

swift (2.30.0+git2022091213.ce184edd7-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:00:17 -0400

swift (2.29.1+git2022071815.45e13ff4c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/python3-swift.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:07:31 -0400

swift (2.29.1+git2022060710.93c432342-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.
  * d/p/skip-online-test.patch: Rebased.
  * d/p/skip-test-db.patch: Skip section of test until reported bug
    is fixed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jun 2022 10:17:06 -0400

## swift 2.30.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.25.0                        # MIT
greenlet>=0.3.2
netifaces>=0.8,!=0.10.0,!=0.10.1
PasteDeploy>=2.0.0
lxml>=3.4.1
requests>=2.14.2                        # Apache-2.0
six>=1.10.0
xattr>=0.4;sys_platform!='win32'        # MIT
PyECLib>=1.3.1                          # BSD
cryptography>=2.0.2                     # BSD/Apache-2.0

# For python 2.7, the following requirements are needed; they are not
# included since the requirments-check check will fail otherwise since
# global requirements do not support these anymore.
# Fortunately, these packages come in as dependencies from others and
# thus the py27 jobs still work.
#
# dnspython>=1.15.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
# ipaddress>=1.0.16;python_version<'3.3'  # PSF

=== debian/changelog ===
swift (2.30.1-0+deb12u1) bookworm-security; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed CVE-2022-47950-stable-zed.patch applied upstream.
  * Add swift-recon-only-query-object-servers-once.patch.
  * Add drive-full-checker.patch.
  * Blacklist tests:
    - test_get_conns_hostname6
    - test_get_conns_v6
    - test_get_conns_v6_default
  * Add kms_keymaster-allow-specifying-barbican_endpoint.patch.
  * kay reported a vulnerability in Keystone’s ec2tokens and s3tokens APIs. By
    sending those endpoints a valid AWS Signature (e.g., from a presigned S3
    URL), an unauthenticated attacker may obtain Keystone authorization
    (ec2tokens can yield a fully scoped token; s3tokens can reveal scope
    accepted by some services), resulting in unauthorized access and privilege
    escalation. Deployments where /v3/ec2tokens or /v3/s3tokens are reachable
    by unauthenticated clients (e.g., exposed on a public API) are affected.
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.
  * Blacklist non-deterministic tests:
    - test_delete_partition_ssync_with_cleanup_failure
    - test_cleanup_ondisk_files_commit_window

  [ Philippe SÉRAPHIN ]
  * Add Change_getting_major_minor_of_blkdev.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Nov 2025 09:06:52 +0100

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,8 @@
  python3-openstackdocstheme (>= 1.11.0),
  python3-os-api-ref (>= 1.0.0),
  python3-os-testr (>= 0.8.0),
+ python3-oslo.config,
+ python3-oslo.log,
  python3-oslosphinx,
  python3-pastedeploy,
  python3-pyeclib,
@@ -67,6 +69,8 @@
  python3-greenlet,
  python3-netifaces,
  python3-openssl,
+ python3-oslo.config,
+ python3-oslo.log,
  python3-pastedeploy,
  python3-pyeclib,
  python3-six,
@@ -297,4 +301,3 @@
  .
  Objects are written to multiple hardware devices in the data center, with
  the OpenStack software responsible for ensuring data replication and
- integrity across the cluster. Storage clusters can scale horizontally by

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,12 @@
 	--exclude-test=test.unit.common.test_db.TestDatabaseBroker.test_get \
 	--exclude-test=test.unit.container.test_sync.TestContainerSync.test_init \
 	--exclude-test=test.unit.common.test_utils.TestPunchHoleReally.test_punch_a_hole \
-	--exclude-test=test.unit.common.test_utils.Test_LibcWrapper.test_argument_plumbing
+	--exclude-test=test.unit.common.test_utils.Test_LibcWrapper.test_argument_plumbing \
+	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_hostname6 \
+	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6 \
+	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6_default \
+	--exclude-test=test.unit.obj.test_diskfile.TestECDiskFileManager.test_cleanup_ondisk_files_commit_window \
+	--exclude-test=test.unit.obj.test_replicator.TestObjectReplicator.test_delete_partition_ssync_with_cleanup_failure
 	# --processes=-1
 
 %:
@@ -60,6 +65,8 @@
 	done
 
 override_dh_auto_install:
+	pkgos-dh_auto_install --no-py2 --in-tmp
+
 	dh_auto_install
 
 	rm debian/tmp/usr/bin/swift-init
@@ -98,3 +105,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## swift 2.31.1

=== debian/changelog ===
swift (2.31.1-6~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.
  * Blacklist:
    - test_delete_partition_ssync_with_cleanup_failure
    - test_run_forever_recon_aggregation

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Tue, 04 Nov 2025 15:47:05 +0000

swift (2.31.1-5) UNRELEASED; urgency=medium

  * Add drive-full-checker.patch.
  * Blacklist a number of unit tests failing since the upgrade of Jenkins to
    bookworm:
    - test_get_conns_hostname6
    - test_get_conns_v6
    - test_failed_delete_continues_on
  * Add kms_keymaster-allow-specifying-barbican_endpoint.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2024 10:37:01 +0100

swift (2.31.1-4) unstable; urgency=medium

  * Add Change_getting_major_minor_of_blkdev.patch.
  * Switch to stestr instead of nose (Closes: #1018645).

 -- Philippe SÉRAPHIN <philippe.seraphin@infomaniak.com>  Thu, 29 Jun 2023 11:45:20 +0200

swift (2.31.1-3) unstable; urgency=medium

  * Add swift-recon-only-query-object-servers-once.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:43:15 +0200

swift (2.31.1-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed Fix_DB_tests_on_py311.patch.
  * Blacklist TestUtils.test_load_pkg_resource_importlib().

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 15:12:39 +0100

swift (2.31.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions satisfied in Bookworm.
  * Removed lsb-base depends.
  * Rebased Fix_DB_tests_on_py311.patch.
  * Removed CVE-2022-47950-stable-zed.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 10:03:50 +0100

=== debian/control ===
--- 
+++ 
@@ -10,45 +10,43 @@
  debhelper-compat (= 12),
  dh-exec,
  dh-python,
- openstack-pkg-tools (>= 116~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-boto,
  python3-boto3,
  python3-cffi,
  python3-coverage,
  python3-cryptography,
- python3-eventlet (>= 0.25.0),
- python3-fixtures (>= 3.0.0),
+ python3-eventlet,
+ python3-fixtures,
  python3-greenlet,
  python3-keystoneclient,
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware,
  python3-lxml,
  python3-mock,
  python3-netifaces,
- python3-nose,
- python3-nose-exclude,
- python3-nosehtmloutput,
- python3-nosexcover,
  python3-openssl,
  python3-openstack.nose-plugin,
  python3-openstackclient,
- python3-openstackdocstheme (>= 1.11.0),
- python3-os-api-ref (>= 1.0.0),
- python3-os-testr (>= 0.8.0),
+ python3-openstackdocstheme,
+ python3-os-api-ref,
+ python3-os-testr,
  python3-oslo.config,
  python3-oslo.log,
  python3-oslosphinx,
  python3-pastedeploy,
  python3-pyeclib,
- python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.2.0),
+ python3-requests,
+ python3-requests-mock,
  python3-six,
+ python3-stestr,
  python3-swiftclient,
  python3-xattr,
+ subunit,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift
 Vcs-Git: https://salsa.debian.org/openstack-team/services/swift.git
@@ -65,7 +63,7 @@
  adduser,
  python3-cffi,
  python3-cryptography,
- python3-eventlet (>= 0.25.0),
+ python3-eventlet,
  python3-greenlet,
  python3-netifaces,
  python3-openssl,
@@ -139,13 +137,12 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- lsb-base,
  openstack-pkg-tools,
  python3-pastescript,
  python3-swift (=${binary:Version}),
  rsync,
  swift (=${binary:Version}),
- uwsgi-plugin-python3 (>= 2.0.18),
+ uwsgi-plugin-python3,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -177,13 +174,12 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- lsb-base,
  openstack-pkg-tools,
  python3-pastescript,
  python3-swift (=${binary:Version}),
  rsync,
  swift (=${binary:Version}),
- uwsgi-plugin-python3 (>= 2.0.18),
+ uwsgi-plugin-python3,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -280,7 +276,6 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- lsb-base,
  python3-swift (=${binary:Version}),
  rsync,
  swift (=${binary:Version}),
@@ -301,3 +296,7 @@
  .
  Objects are written to multiple hardware devices in the data center, with
  the OpenStack software responsible for ensuring data replication and
+ integrity across the cluster. Storage clusters can scale horizontally by
+ adding new nodes. Should a node fail, OpenStack works to replicate its
+ content from other active nodes. Because OpenStack uses software logic to
+ ensure data replication and distribution across different devices,

=== debian/rules ===
--- 
+++ 
@@ -4,26 +4,19 @@
 
 export SWIFT_TEST_CONFIG_FILE=$(CURDIR)/debian/swift-test.conf
 
-export PYBUILD_TEST_ARGS=\
-	test/unit \
-	--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing \
-	--exclude-test=test.unit.common.middleware.test_cname_lookup.TestCNAMELookup \
-	--exclude-test=test.unit.common.test_db.TestDatabaseBroker.test_get \
-	--exclude-test=test.unit.container.test_sync.TestContainerSync.test_init \
-	--exclude-test=test.unit.common.test_utils.TestPunchHoleReally.test_punch_a_hole \
-	--exclude-test=test.unit.common.test_utils.Test_LibcWrapper.test_argument_plumbing \
-	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_hostname6 \
-	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6 \
-	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6_default \
-	--exclude-test=test.unit.obj.test_diskfile.TestECDiskFileManager.test_cleanup_ondisk_files_commit_window \
-	--exclude-test=test.unit.obj.test_replicator.TestObjectReplicator.test_delete_partition_ssync_with_cleanup_failure
-	# --processes=-1
-
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 # Control if proxy + account + container server should be using UWSGI or not
 export DEB_USE_UWSGI=no
+
+override_dh_auto_test:
+	echo "Do nothing..."
+
+override_dh_auto_clean:
+	rm -rf build .stestr *.egg-info .pybuild
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	dh_auto_build
@@ -66,10 +59,10 @@
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
-
-	dh_auto_install
-
 	rm debian/tmp/usr/bin/swift-init
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	pkgos-dh_auto_test --no-py2 --test-path test/unit 'test\.unit\.(?!common\.test_utils\.TestUtils\.test_get_logger_sysloghandler_plumbing|common\.middleware\.test_cname_lookup\.TestCNAMELookup.*|common\.test_db\.TestDatabaseBroker\.test_get.*|container\.test_sync\.TestContainerSync\.test_init.*|common\.test_utils\.TestPunchHoleReally\.test_punch_a_hole.*|common\.test_utils\.Test_LibcWrapper\.test_argument_plumbing.*|common\.test_utils\.TestUtils\.test_load_pkg_resource_importlib.*|common\.test_db_replicator\.TestHandoffsOnly.*|common\.test_memcached\.TestMemcached\.test_get_conns_hostname6|common\.test_memcached\.TestMemcached\.test_get_conns_v6|common\.test_memcached\.TestMemcached\.test_get_conns_v6_default|obj\.test_expirer\.TestObjectExpirer\.test_failed_delete_continues_on|obj\.test_replicator\.TestObjectReplicator\.test_delete_partition_ssync_with_cleanup_failure|obj\.test_reconstructor\.TestWorkerReconstructor\.test_run_forever_recon_aggregation)'
+endif
 
 override_dh_installinit:
 	set -e ; set -x ; \
